/**
 * EasyBeans
 * Copyright (C) 2012 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: TestNGTestListener.java 6135 2012-01-24 17:02:48Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.ow2.util.testng4osgi.listener;

import org.testng.ITestContext;
import org.testng.ITestListener;
import org.testng.ITestResult;

public class TestNGTestListener implements ITestListener {

    private int start = 0;
    private int finish = 0;
    private int failures = 0;
    private int skipped = 0;
    private int testStart = 0;
    private int testSuccess = 0;
    
    
    public void onFinish(ITestContext arg0) {
        finish++;
        
    }

    public void onStart(ITestContext arg0) {
        start++;
    }

    public void onTestFailedButWithinSuccessPercentage(ITestResult arg0) {
        
    }

    public void onTestFailure(ITestResult arg0) {
        failures++;
    }

    public void onTestSkipped(ITestResult arg0) {
        skipped++;
    }

    public void onTestStart(ITestResult arg0) {
        testStart++;
    }

    public void onTestSuccess(ITestResult arg0) {
        testSuccess++;
    }

    public int getStart() {
        return start;
    }

    public int getFinish() {
        return finish;
    }

    public int getFailures() {
        return failures;
    }

    public int getSkipped() {
        return skipped;
    }

    public int getTestStart() {
        return testStart;
    }

    public int getTestSuccess() {
        return testSuccess;
    }
    
  

}
